
%global meadversion 1.14.7
%global namedversion 1.14.7.redhat-00002
%global meadalpha .redhat_00002
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00002

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package byte-buddy}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.14.7.redhat-00002

Name:           %{?scl_prefix}byte-buddy
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        byte-buddy
Group:          Development/Java

%if %with mead
Source100: byte-buddy-parent-1.14.7.redhat-00002-project-sources.tar.gz
Source102: byte-buddy-android-1.14.7.redhat-00002.pom
Source103: byte-buddy-agent-1.14.7.redhat-00002.jar
Source104: byte-buddy-1.14.7.redhat-00002.jar
Source105: byte-buddy-agent-1.14.7.redhat-00002.pom
Source106: byte-buddy-maven-plugin-1.14.7.redhat-00002.jar
Source107: byte-buddy-android-1.14.7.redhat-00002.jar
Source108: byte-buddy-maven-plugin-1.14.7.redhat-00002.pom
Source109: byte-buddy-parent-1.14.7.redhat-00002.pom
Source110: byte-buddy-dep-1.14.7.redhat-00002.pom
Source111: byte-buddy-1.14.7.redhat-00002-sources.jar
Source112: byte-buddy-agent-1.14.7.redhat-00002-sources.jar
Source113: byte-buddy-android-1.14.7.redhat-00002-sources.jar
Source114: byte-buddy-dep-1.14.7.redhat-00002.jar
Source115: byte-buddy-dep-1.14.7.redhat-00002-sources.jar
Source116: byte-buddy-maven-plugin-1.14.7.redhat-00002-sources.jar
Source117: byte-buddy-1.14.7.redhat-00002.pom
%endif

License:        ASL 2.0
URL:            http://byte-buddy.codehaus.org/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Byte Buddy is a Java library for creating Java classes at run time.

%package -n %{?scl_prefix}byte-buddy-agent
Summary:        Allows to access the JVM's HotSwap feature
Group:          Development/Java

Requires:       %{?scl_prefix}weld-core-impl = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}byte-buddy-agent
Allows to access the JVM's HotSwap feature.

%package -n %{?scl_prefix}byte-buddy-android
Summary:        Allows for limited support of code generation on Android runtime
Group:          Development/Java

Requires:       %{?scl_prefix}weld-core-impl = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}byte-buddy-android
Allows for limited support of code generation on an Android runtime.

%package -n %{?scl_prefix}byte-buddy-dep
Summary:        Build of Byte Buddy with a remaining dependency onto ASM
Group:          Development/Java

Requires:       %{?scl_prefix}weld-core-impl = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}byte-buddy-dep
Build of Byte Buddy with a remaining dependency onto ASM.

%package -n %{?scl_prefix}byte-buddy-maven-plugin
Summary:        A plugin for post-processing class files
Group:          Development/Java

Requires:       %{?scl_prefix}weld-core-impl = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}byte-buddy-maven-plugin
A plugin for post-processing class files via Byte Buddy in a Maven build.



%if %with javadoc
%package javadoc
Summary:        Javadoc for byte-buddy
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n byte-buddy-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/byte-buddy-%{namedversion}.jar %{buildroot}%{_javadir}/byte-buddy-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/byte-buddy-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/byte-buddy-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/byte-buddy-%{namedversion}-sources.jar %{buildroot}%{_javadir}/byte-buddy-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/byte-buddy-agent-%{namedversion}.jar %{buildroot}%{_javadir}/byte-buddy-agent-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/byte-buddy-agent-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/byte-buddy-agent-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/byte-buddy-agent-%{namedversion}-sources.jar %{buildroot}%{_javadir}/byte-buddy-agent-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/byte-buddy-android-%{namedversion}.jar %{buildroot}%{_javadir}/byte-buddy-android-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/byte-buddy-android-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/byte-buddy-android-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/byte-buddy-android-%{namedversion}-sources.jar %{buildroot}%{_javadir}/byte-buddy-android-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/byte-buddy-dep-%{namedversion}.jar %{buildroot}%{_javadir}/byte-buddy-dep-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/byte-buddy-dep-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/byte-buddy-dep-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/byte-buddy-dep-%{namedversion}-sources.jar %{buildroot}%{_javadir}/byte-buddy-dep-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/byte-buddy-maven-plugin-%{namedversion}.jar %{buildroot}%{_javadir}/byte-buddy-maven-plugin-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/byte-buddy-maven-plugin-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/byte-buddy-maven-plugin-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/byte-buddy-maven-plugin-%{namedversion}-sources.jar %{buildroot}%{_javadir}/byte-buddy-maven-plugin-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/byte-buddy-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/byte-buddy-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/byte-buddy-%{namedversion} -x META-INF/\*
%{__ln_s} byte-buddy-%{namedversion} %{buildroot}%{_javadocdir}/byte-buddy
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc NOTICE LICENSE README.md
%{_javadir}/byte-buddy-%{namedversion}.jar
%{_javadir}/byte-buddy.jar
%if %with javadoc
%{_javadir}/byte-buddy-%{namedversion}-javadoc.jar
%{_javadir}/byte-buddy-javadoc.jar
%endif
%{_javadir}/byte-buddy-%{namedversion}-sources.jar
%{_javadir}/byte-buddy-sources.jar

%files -n %{?scl_prefix}byte-buddy-agent
%defattr(0644,root,root,0755)
%{_javadir}/byte-buddy-agent-%{namedversion}.jar
%{_javadir}/byte-buddy-agent.jar
%if %with javadoc
%{_javadir}/byte-buddy-agent-%{namedversion}-javadoc.jar
%{_javadir}/byte-buddy-agent-javadoc.jar
%endif
%{_javadir}/byte-buddy-agent-%{namedversion}-sources.jar
%{_javadir}/byte-buddy-agent-sources.jar

%files -n %{?scl_prefix}byte-buddy-android
%defattr(0644,root,root,0755)
%{_javadir}/byte-buddy-android-%{namedversion}.jar
%{_javadir}/byte-buddy-android.jar
%if %with javadoc
%{_javadir}/byte-buddy-android-%{namedversion}-javadoc.jar
%{_javadir}/byte-buddy-android-javadoc.jar
%endif
%{_javadir}/byte-buddy-android-%{namedversion}-sources.jar
%{_javadir}/byte-buddy-android-sources.jar

%files -n %{?scl_prefix}byte-buddy-dep
%defattr(0644,root,root,0755)
%{_javadir}/byte-buddy-dep-%{namedversion}.jar
%{_javadir}/byte-buddy-dep.jar
%if %with javadoc
%{_javadir}/byte-buddy-dep-%{namedversion}-javadoc.jar
%{_javadir}/byte-buddy-dep-javadoc.jar
%endif
%{_javadir}/byte-buddy-dep-%{namedversion}-sources.jar
%{_javadir}/byte-buddy-dep-sources.jar

%files -n %{?scl_prefix}byte-buddy-maven-plugin
%defattr(0644,root,root,0755)
%{_javadir}/byte-buddy-maven-plugin-%{namedversion}.jar
%{_javadir}/byte-buddy-maven-plugin.jar
%if %with javadoc
%{_javadir}/byte-buddy-maven-plugin-%{namedversion}-javadoc.jar
%{_javadir}/byte-buddy-maven-plugin-javadoc.jar
%endif
%{_javadir}/byte-buddy-maven-plugin-%{namedversion}-sources.jar
%{_javadir}/byte-buddy-maven-plugin-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/byte-buddy-%{namedversion}
%{_javadocdir}/byte-buddy
%endif

%changelog
* Fri Oct 20 2023 cpaas-ops <cpaas-ops@redhat.com> - 1.14.7-2.redhat_00002.1
- Built by CPaaS

* Fri Sep 08 2023 cpaas-ops <cpaas-ops@redhat.com> - 1.14.7-1.redhat_00001.1
- Built by CPaaS

* Mon Jan 30 2023 cpaas-ops <cpaas-ops@redhat.com> - 1.12.18-1.redhat_00002.1
- Built by CPaaS

* Thu Sep 08 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.12.9-1.redhat_00002.1
- Built by CPaaS

* Tue Sep 06 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.11.12-2.redhat_00002.1
- Built by CPaaS

* Thu May 26 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.11.12-1.redhat_00002.1
Built by CPaaS



* Mon Oct 11 2021 cpaas-ops <cpaas-ops@redhat.com> - 1.11.12-2.redhat_00002.1
Built by CPaaS

* Fri Oct 08 2021 cpaas-ops <cpaas-ops@redhat.com> - 1.11.12-1.redhat_00002.1
Built by CPaaS

* Thu Feb 11 2021 Permaine Cheung <pcheung@redhat.com> - 1.9.11-1.redhat_00003.1
- 1.9.11.redhat-00003

* Thu Aug 16 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.8.17-1.redhat_00001.1
- upgrade to 1.8.17.redhat-00001

* Tue Aug 14 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.8.15-2.redhat_00001.1
- upgrade to 1.8.15.redhat-00001

* Mon Aug 13 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.8.15-1.redhat_1.1
- upgrade to 1.8.15.redhat-00001

* Wed Jul 04 2018 Permaine Cheung <pcheung@redhat.com> - 1.8.12-1.redhat_1.1
- Wrapper for EAP 7.2.0

* Wed Jul 04 2018 Petr Sakar <psakar@redhat.com> - 1.8.12-1.redhat_1.1
- upgrade to 1.8.12.redhat-1
